# result.h File Reference

Declares classes for holding information about SQL query results. More...

`#include "common.h"`
`#include "exceptions.h"`
`#include "field.h"`
`#include "field_names.h"`
`#include "field_types.h"`
`#include "noexceptions.h"`
`#include "refcounted.h"`
`#include "row.h"`

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Classes

class | mysqlpp::SimpleResult
| Holds information about the result of queries that don't return rows. More...
class | mysqlpp::ResultBase
| Base class for StoreQueryResult and UseQueryResult. More...
class | mysqlpp::StoreQueryResult
| StoreQueryResult set type for "store" queries. More...
struct | mysqlpp::RefCountedPointerDestroyer< MYSQL_RES >
| Functor to call mysql_free_result() on the pointer you pass to it. More...
class | mysqlpp::UseQueryResult
| StoreQueryResult set type for "use" queries. More...

## Functions

void | swap (StoreQueryResult &x, StoreQueryResult &y)
| Swaps two StoreQueryResult objects.
void | swap (UseQueryResult &x, UseQueryResult &y)
| Swaps two UseQueryResult objects.

## Detailed Description

Declares classes for holding information about SQL query results.